package usecase

type BitMapUseCase interface {
	// SetTrue 設定該 Bit 狀態為 true
	SetTrue(bitPos uint32)
	// SetFalse 設定該Bit 狀態為 false
	SetFalse(bitPos uint32)
	// IsTrue 確認是否為真
	IsTrue(bitPos uint32) bool
	// Reset 重設 BitMap
	Reset()
	// ByteSize 最大 Byte 數
	ByteSize() int
	// BitSize 最大 Byte * 8
	BitSize() int
}
